
CREATE TABLE M_SEQ (
	TABLE_ID  VARCHAR2(50) NOT NULL,
	UP_DATE   DATE NOT NULL,
	ID        NUMBER(19,0) NOT NULL,
    PRIMARY KEY (TABLE_ID)
);

CREATE TABLE M_LOGININFO (
	LOGIN_ID         VARCHAR2(10) NOT NULL,
	LOGIN_TYPE       VARCHAR2(1) NOT NULL,
	PWD1             VARCHAR2(8) NOT NULL,
	YUKO_FLG         VARCHAR2(1) NOT NULL,
	LOGININFO_INSERT TIMESTAMP,
	LOGININFO_UPDATE TIMESTAMP,
    PRIMARY KEY (LOGIN_ID)
);

CREATE TABLE M_USER (
	U_LOGIN_ID       VARCHAR2(11) NOT NULL,
	U_NAME           VARCHAR2(25) NOT NULL,
	U_MAIL           VARCHAR2(50) NOT NULL,
	U_PWD1           VARCHAR2(8) NOT NULL,
	U_YUKO_FLG       VARCHAR2(1) NOT NULL,
	U_INSERT         TIMESTAMP,
	U_UPDATE         TIMESTAMP,
    PRIMARY KEY (U_LOGIN_ID)
);

CREATE TABLE M_BIZTYPE (
	BIZTYPE          NUMBER(19,0) NOT NULL,
	BIZNAME          VARCHAR2(50) NOT NULL,
	DELDT            TIMESTAMP,
	INSDT            TIMESTAMP NOT NULL,
	UPDT             TIMESTAMP NOT NULL,
    PRIMARY KEY (BIZTYPE)
);

CREATE TABLE T_CORP (
	CORPCD           VARCHAR2(11) NOT NULL,
	PASS             VARCHAR2(8) NOT NULL,
	CORPNM           VARCHAR2(40) NOT NULL,
	CORPKN           VARCHAR2(80),
	PSNO             VARCHAR2(8),
	TDFKNM           VARCHAR2(2),
	ADRS1            VARCHAR2(40) NOT NULL,
	ADRS2            VARCHAR2(40),
	MAP              VARCHAR2(50),
	DEPART           VARCHAR2(40),
	POST             VARCHAR2(40),
	TANSEI           VARCHAR2(40) NOT NULL,
	TANMEI           VARCHAR2(40) NOT NULL,
	TANSEIJCO        VARCHAR2(80),
	TANMEIJCO        VARCHAR2(80),
	TELNO            VARCHAR2(15) NOT NULL,
	FAXNO            VARCHAR2(15),
	MLADRS           VARCHAR2(50),
	BIZTYPE          NUMBER(19,0) NOT NULL,
	DELDT            TIMESTAMP,
	INSDT            TIMESTAMP NOT NULL,
	UPDT             TIMESTAMP NOT NULL,
    PRIMARY KEY (CORPCD)
);

CREATE TABLE T_ITEM (
	ITEM01           VARCHAR2(11) NOT NULL,
	ITEM09           VARCHAR2(8),
	ITEM10           DATE,
	ITEM11           DATE,
	ITEM12           VARCHAR2(1) NOT NULL,
	ITEM13           VARCHAR2(1) NOT NULL,
	ITEM14           VARCHAR2(1),
	ITEM15           VARCHAR2(1),
	ITEM16           VARCHAR2(1) NOT NULL,
	ITEM17_1         VARCHAR2(3),
	ITEM17_2         VARCHAR2(4),
	ITEM19_1         VARCHAR2(10) NOT NULL,
	ITEM19_2         VARCHAR2(10),
	ITEM19_3         VARCHAR2(10) NOT NULL,
	ITEM22_1         VARCHAR2(10) NOT NULL,
	ITEM22_2         VARCHAR2(10) NOT NULL,
	ITEM22_3         VARCHAR2(10),
	ITEM26           VARCHAR2(100),
	ITEM27           VARCHAR2(10),
	ITEM28           VARCHAR2(10),
	ITEM29           VARCHAR2(10),
	ITEM30           VARCHAR2(10),
	ITEM31           VARCHAR2(10),
	ITEM32           VARCHAR2(10),
	ITEM33           VARCHAR2(10),
	ITEM34           VARCHAR2(10),
	ITEM35           VARCHAR2(10),
	ITEM36           VARCHAR2(10),
	ITEM37           VARCHAR2(10),
	ITEM38           VARCHAR2(10),
	ITEM39           VARCHAR2(10),
	ITEM40           VARCHAR2(10),
	ITEM41           VARCHAR2(10),
	ITEM42           VARCHAR2(50),
	ITEM43           VARCHAR2(10),
	ITEM44           VARCHAR2(15),
	ITEM45           VARCHAR2(10),
	ITEM46           VARCHAR2(10),
	ITEM47           VARCHAR2(10),
	ITEM48           VARCHAR2(10),
	ITEM49           VARCHAR2(10),
	ITEM50           VARCHAR2(10),
	ITEM51           VARCHAR2(10),
	ITEM52           VARCHAR2(10),
	ITEM53           TIMESTAMP,
	ITEM54           TIMESTAMP,
	UPDT             TIMESTAMP NOT NULL,
    PRIMARY KEY (ITEM01)
);

