CREATE TABLE test_kakunin_hist
(
    histseq              NUMBER(38,0) NOT NULL PRIMARY KEY,
    usr_id               VARCHAR2(20),
    ses_id               NUMBER,
    execdate             DATE,
    exectbl              VARCHAR2(100),
    histkbn              CHAR(5),
    execdata             VARCHAR2(4000)
)
;
CREATE INDEX test_kakunin_hist_X1 ON test_kakunin_hist (usr_id,execdate)
;
CREATE INDEX test_kakunin_hist_X2 ON test_kakunin_hist (execdate)
;
CREATE SEQUENCE test_kakunin_hist_seq
INCREMENT BY 1
START WITH 1
NOMAXVALUE
NOMINVALUE
NOCYCLE 
CACHE 5
NOORDER 
;
CREATE TABLE test_sessionid_usrid
(
    ses_id               NUMBER NOT NULL PRIMARY KEY,
    usr_id               VARCHAR2(20)
)
;
